/*-- -------------------------- -->
<---           Hero             -->
<--- -------------------------- -*/
/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  @keyframes floatAnimation {
    0% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(-2rem);
    }
    100% {
      transform: translateY(0);
    }
  }
  @keyframes floatAnimation2 {
    0% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(-3rem);
    }
    100% {
      transform: translateY(0);
    }
  }
  #hero-1351 {
    /* 250px - 500px - leaving extra space for the navigation */
    padding: clamp(15.625rem, 35.95vw, 25rem) 1rem 0;
    /* 200px - 250px */
    padding-bottom: clamp(12.5rem, 16.5vw, 15.625rem);
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
    z-index: 1;
  }
  #hero-1351:before {
    /* Overlay */
    content: "";
    width: 100%;
    height: 30%;
    background: linear-gradient(to bottom, #000000 0%, rgba(0, 0, 0, 0) 100%);
    opacity: 1;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    z-index: 2;
    /* prevents the cursor from interacting with it */
    pointer-events: none;
  }
  #hero-1351 .cs-container {
    width: 100%;
    max-width: 80rem;
    margin: auto;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
  }
  #hero-1351 .cs-content {
    /* set text align to left if content needs to be left aligned */
    text-align: left;
    width: 100%;
    max-width: 39.375rem;
    display: flex;
    flex-direction: column;
    /* centers content horizontally, set to flex-start to left align */
    align-items: flex-start;
  }
  #hero-1351 .cs-topper {
    font-size: 1.25rem;
    line-height: 1.2em;
    text-transform: uppercase;
    text-align: inherit;
    letter-spacing: 0.1em;
    font-weight: 700;
    color: #e8e8e8;
    margin-bottom: 0.5rem;
    display: block;
  }
  #hero-1351 .cs-title {
    /* 39px - 61px */
    font-size: clamp(2.4375rem, 6.4vw, 3.8125rem);
    font-weight: 700;
    line-height: 1.2em;
    text-align: inherit;
    max-width: 20ch;
    margin: 0 0 1rem 0;
    color: #fff;
    position: relative;
  }
  #hero-1351 .cs-text {
    font-size: 1.25rem;
    line-height: 1.5em;
    text-align: inherit;
    width: 100%;
    /* 464px - 622px */
    max-width: clamp(29rem, 60vw, 38.785rem);
    margin: 0 0 2.5rem 0;
    color: #e8e8e8;
  }
  #hero-1351 .cs-button-solid {
    font-size: 1rem;
    line-height: 3.5rem;
    text-decoration: none;
    font-weight: 700;
    overflow: hidden;
    margin: 0;
    color: #fff;
    padding: 0 3rem;
    background-color: var(--primary);
    display: inline-block;
    position: relative;
    z-index: 1;
    transition: color 0.3s;
  }
  #hero-1351 .cs-button-solid:before {
    content: "";
    position: absolute;
    display: block;
    height: 100%;
    width: 0%;
    background: #fff;
    opacity: 1;
    top: 0;
    left: 0;
    z-index: -1;
    transition: width 0.3s;
  }
  #hero-1351 .cs-button-solid:hover {
    color: var(--primary);
  }
  #hero-1351 .cs-button-solid:hover:before {
    width: 100%;
  }
  #hero-1351 .cs-bubbles {
    /* this scales the children inside of it down. They're all in ems so they pull from the parent font size for their value of em, in this case, the value of em is tied to the viewwidth size and stops growing when the font size is equal to 1em, which it pulls from the nearst parent with a declred font size (which is the html tag, and that tag is 16px by default) */
    font-size: min(2vw, .5em);
    position: absolute;
    z-index: -1;
  }
  #hero-1351 .cs-bubbles1 {
    width: 42.5em;
    height: 45.25em;
    right: -11.875rem;
    /* changes to 172 at large desktop */
    top: 0;
  }
  #hero-1351 .cs-bubbles1:before {
    /* white border bubble */
    content: "";
    width: 38.875em;
    height: 38.875em;
    background: transparent;
    border: 1px solid #fff;
    border-radius: 50%;
    opacity: 1;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    animation-name: floatAnimation;
    animation-duration: 7s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
  }
  #hero-1351 .cs-bubbles1:after {
    /* orange bubble */
    content: "";
    width: 34.125em;
    height: 34.125em;
    background: var(--primary);
    opacity: 0.8;
    border-radius: 50%;
    display: block;
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: -1;
    animation-name: floatAnimation2;
    animation-duration: 10s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
  }
  #hero-1351 .cs-bubbles2 {
    width: 20.625rem;
    height: 29.75rem;
    /* changes to 160px at larger desktop */
    left: -13.75rem;
    /* removed at larger desktop */
    bottom: -16.25rem;
  }
  #hero-1351 .cs-bubbles2:before {
    /* white border bubble */
    content: "";
    width: 20.625rem;
    height: 20.625rem;
    background: transparent;
    border: 1px solid #fff;
    border-radius: 50%;
    opacity: 1;
    position: absolute;
    display: block;
    bottom: 0;
    right: 0;
    animation-name: floatAnimation;
    animation-duration: 5s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
  }
  #hero-1351 .cs-bubbles2:after {
    /* orange bubble */
    content: "";
    width: 16.25rem;
    height: 16.25rem;
    background: var(--primary);
    opacity: 0.8;
    border-radius: 50%;
    display: block;
    position: absolute;
    top: 0;
    right: 2.5rem;
    z-index: -1;
    animation-name: floatAnimation2;
    animation-duration: 14s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
  }
  #hero-1351 .cs-background {
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -2;
  }
  #hero-1351 .cs-background img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    -o-object-fit: cover;
       object-fit: cover;
    /* makes the top of the image start at the top of the parent */
    -o-object-position: top;
       object-position: top;
  }
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
  #hero-1351 .cs-content {
    width: 50%;
  }
  #hero-1351 .cs-bubbles {
    font-size: 1em;
  }
  #hero-1351 .cs-bubbles1 {
    /* changes to auto at large desktop */
    right: -26.75rem;
  }
}
/* Large Desktop - 1300px */
@media only screen and (min-width: 81.25rem) {
  #hero-1351 .cs-bubbles1 {
    /* 200px - 450px */
    margin-left: clamp(12.5rem, 20vw, 28.125rem);
    top: 10.75rem;
    right: auto;
    left: 50%;
  }
}
/* Large Desktop Parallax Effect - 1600px */
@media only screen and (min-width: 100rem) {
  #hero-1351 .cs-background {
    background: url("https://csimg.nyc3.cdn.digitaloceanspaces.com/Images/MISC/abstract.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
  }
  #hero-1351 .cs-background img {
    display: none;
  }
}
/* Larger Desktop - 1800px */
@media only screen and (min-width: 112.5rem) {
  #hero-1351 .cs-bubbles2 {
    margin-right: 50rem;
    right: 50%;
    left: auto;
    top: 13.125rem;
    bottom: auto;
  }
}
/*# sourceMappingURL=data:application/json;base64,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 */